%define api 		1
%define major 		11
%define libname		%mklibname gladeui %{api} %{major}
%define libnamedev	%mklibname -d gladeui %{api}

%define url_ver %(echo %version | cut -d. -f1,2)

Summary: 	GTK+ / GNOME 2 widget builder
Name: 		glade3
Version: 	3.8.3
Release:	%mkrel 2
Epoch:		1
License: 	GPLv2+
Url: 		http://glade.gnome.org/
Group: 		Development/GNOME and GTK+
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.20
BuildRequires:	pkgconfig(libbonoboui-2.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(pygtk-2.0) >= 2.10.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
Requires:	pygtk2.0
Requires:	devhelp

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces
at runtime. The DTD for the XML files is included with libglade, and is
also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.


%package -n %{libname}
Summary:	Libraries required for glade-3
Group:		System/Libraries
Provides:	libgladeui = %epoch:%{version}

%description -n %{libname}
Libraries and file require to run program built with glade-3

%package -n %{libnamedev}
Summary:	Static libraries, include files for libgladeui (glade-3)
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %epoch:%{version}
Provides:	libgladeui-devel = %epoch:%{version}-%{release}
Provides:	libgladeui1-devel = %epoch:%{version}-%{release}
Provides:	glade3-devel = %epoch:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %epoch:%{version}-%{release}
Conflicts:	%mklibname -d gladeui1_ 6
Obsoletes:	%mklibname -d gladeui1_

%description -n %{libnamedev}
Static library, headers files and documentation needed in order
to develop applications using libgladeui (glade-3).

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--enable-gtk-doc \
	--disable-scrollkeeper \
	--disable-static
make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name '*.la' | xargs rm

%{find_lang} %{name} --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

# menu
perl -pi -e "s/Glade/Glade 3/" $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS COPYING README TODO
%{_bindir}/glade-3
%dir %{_libdir}/glade3/
%dir %{_libdir}/glade3/modules/
%{_libdir}/glade3/modules/libgladepython.so
%{_libdir}/glade3/modules/libgladegtk.so
%{_libdir}/glade3/modules/libgladegnome.so
%dir %_datadir/omf/*
%_datadir/omf/*/*-C.omf
%{_datadir}/glade3
%{_datadir}/applications/glade-3.desktop
%_datadir/icons/hicolor/*/apps/glade*

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}*

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/libgladeui-1.0/
%{_libdir}/pkgconfig/gladeui-1.0.pc
%{_libdir}/*.so
%_datadir/gtk-doc/html/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:3.8.3-2.mga3
+ Revision: 351691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 ovitters <ovitters> 1:3.8.3-1.mga3
+ Revision: 326316
- new version 3.8.3

* Mon Mar 26 2012 ovitters <ovitters> 1:3.8.2-1.mga2
+ Revision: 226968
- drop patch1 (merged upstream)
- new version 3.8.2

* Tue Feb 14 2012 ovitters <ovitters> 1:3.8.1-3.mga2
+ Revision: 208760
- clean spec

* Sat Dec 24 2011 wally <wally> 1:3.8.1-2.mga2
+ Revision: 187289
- add patch to fix linking
- require devhelp

* Tue Oct 11 2011 wally <wally> 1:3.8.1-1.mga2
+ Revision: 153815
- new version 3.8.1

* Wed Sep 14 2011 fwang <fwang> 1:3.8.0-1.mga2
+ Revision: 143445
- update lang list
- fix spec
- drop .la files

* Wed Apr 20 2011 pterjan <pterjan> 1:3.8.0-1.mga1
+ Revision: 89215
- Update to 3.8.0
- Sync with mdv

* Sun Jan 23 2011 pterjan <pterjan> 1:3.7.3-1.mga1
+ Revision: 35363
- Drop old stuff
- imported package glade3

